XpEndPage(3Xp)

NAME
XpEndPage - Indicates the end of a print page.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpEndPage ( display )
      Display *display;

DESCRIPTION

XpEndPage signals the end of a print page, and causes window to be unmapped. All resulting page data is assembled and combined with data previously sent by XpPutDocumentData. No generation of document data will occur for rendering operations to the corresponding windows after XpEndPage is called.

For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify is generated with its detail field set to XPEndPageNotify when the X Print Server has completed XpEndPage.

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

DIAGNOSTICS

XPBadSequence
    The function was not called in the proper order with respect to the other X Print Service Extension calls; for example, XpStartPage was called before XpStartJob or was called for a type XPDocRaw document.

SEE ALSO
XpPutDocumentData.(3Xp), XpSelectInput(3Xp), XpStartPage(3Xp)